<div class="analysis-list">

    <div ng-show="!version.current.production">
        <div class="alert alert-danger" role="alert">
            <h3><i class="fa fa-exclamation-circle"></i> Running non-production version</h3>
        </div>
    </div>
    <!-- Search -->
    <div class="pull-left">
        <form class="form-inline" role="form">
            <div class="form-group has-feedback">
                <input ng-model="analysis.filter.text" type="text" class="form-control" placeholder="Filter" />
                <span class="form-control-feedback"><i class="fa fa-search"></i></span>
            </div>
        </form>
    </div>
    <div class="pull-left">
        <div class="btn-group" style="padding-left: 10px; margin-top: 4px;">
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.status" btn-radio="'COMPLETE'" uncheckable><i class="fa fa-check" style="color: #18BC9C"></i> Completed</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.status" btn-radio="'PENDING'" uncheckable><i class="fa fa-clock-o" style="color: #3498DB"></i> Pending</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.status" btn-radio="'DEPENDENCIES'" uncheckable><i class="fa fa-exclamation" style="color: #F39C12"></i> Dependencies</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.status" btn-radio="'RUNNING'" uncheckable><i class="fa fa-circle-o" style="color: #3498DB"></i> Running</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.status" btn-radio="'FAILED'" uncheckable><i class="fa fa-times" style="color: #E74C3C"></i> Failed</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.status" btn-radio="'QCFAIL'" uncheckable><i class="fa fa-thumbs-down" style="color: #F39C12"></i> QC Failed</label>
        </div>
    </div>
    <div class="clearfix"></div>

    <div class="pull-left">
        <div class="btn-group" style="margin-top: 4px; margin-bottom: 10px;">
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.type" btn-radio="'basepipe'" uncheckable><i class="fa fa-chevron-right"></i> base</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.type" btn-radio="'triopipe'" uncheckable><i class="fa fa-chevron-right"></i><i class="fa fa-chevron-right"></i> trio</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.type" btn-radio="'annopipe'" uncheckable><i class="fa fa-chevron-right"></i><i class="fa fa-chevron-right"></i><i class="fa fa-chevron-right"></i> anno</label>
            <label class="btn btn-default btn-sm" ng-model="analysis.filter.type" btn-radio="'other'" uncheckable><i class="fa fa-question"></i> other</label>
        </div>
    </div>
    <div class="pull-right" style="margin-top: -20px;">
        <pagination class="pagination-sm" total-items="analysis.numResults" items-per-page="20" max-size="40" ng-model="analysis.curPage" ng-change="updateAnalysis()"></pagination>
    </div>
    <div class="clearfix"></div>

    <!-- Info container -->
    <div ng-repeat="analysis in analysis.analysisData track by analysis.id| filter:analysisFilter">
        <analysis-info analysis="analysis"></analysis-info>
    </div>
</div>
